package com.njcn.service.configuration;

import com.njcn.pojo.commons.PloyInfo;
import com.njcn.pojo.configuration.RPTree;
import com.njcn.pojo.configuration.RptData;
import com.njcn.pojo.configuration.RptPloy;

import java.util.List;

public interface ReportService {
    List<RPTree> getTreeData(Integer dataType);

    String saveNode(String name, String describe, Integer first, Integer second,Integer dataType);

    List<List> getAllData(Integer dataType);

    List<List> getData(Integer index);

    String savePloy(String name, String describe, List<String> index, Integer ployType);

    String updateNode(String rdIndex, String name, String describe);

    PloyInfo loadPloy(String rpIndex);

    String updatePloy(String rpIndex, String name, String describe, List<String> index, Integer... type);

    List<RptPloy> getTemplate(Integer ployType);

    List<RptData> getExcelSetting();

    int createData(String shortName, String fullName, String parentGUID);

    int deleteData(String rdIndex);

    int updateData(String shortName, String fullName, String rdIndex);

    int addExcelPloy(String name, String describe, String rdIndex);

    List<String> getTreeState(String rpIndex);

    int updateExcelPloy(String name, String describe, String rdIndex, String globalRpIndex);

    int deleteExcelPloy(String rpIndex);
}